Package org.apache.lucene.search

## Class IndriAndScorer

- java.lang.Object
- - org.apache.lucene.search.Scorable
  - - org.apache.lucene.search.Scorer
    - - org.apache.lucene.search.IndriScorer
      - - org.apache.lucene.search.IndriDisjunctionScorer
        - - org.apache.lucene.search.IndriAndScorer

-     public class IndriAndScorer
      extends IndriDisjunctionScorer

  Combines scores of subscorers. If a subscorer does not contain the docId, a smoothing score is calculated for that document/subscorer combination.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

      `Scorable.ChildScorable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `IndriAndScorer​(Weight weight, List<Scorer> subScorers, ScoreMode scoreMode, float boost)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `score​(List<Scorer> subScorers)` |
    `float` | `smoothingScore​(List<Scorer> subScorers, int docId)` |

    - ### Methods inherited from class org.apache.lucene.search.IndriDisjunctionScorer

      `docID, getMaxScore, getSubMatches, iterator, score, smoothingScore`

    - ### Methods inherited from class org.apache.lucene.search.IndriScorer

      `getBoost`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `advanceShallow, getWeight, twoPhaseIterator`

    - ### Methods inherited from class org.apache.lucene.search.Scorable

      `getChildren, setMinCompetitiveScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndriAndScorer

          protected IndriAndScorer​(Weight weight,
                                   List<Scorer> subScorers,
                                   ScoreMode scoreMode,
                                   float boost)
                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### score

          public float score​(List<Scorer> subScorers)
                      throws IOException

      Throws:
        `IOException`

    - #### smoothingScore

          public float smoothingScore​(List<Scorer> subScorers,
                                      int docId)
                               throws IOException

      Specified by:
        `smoothingScore` in class `IndriDisjunctionScorer`
      Throws:
        `IOException`